<?php

require_once './includes/JSON.php';
require_once './core/ji-serialcommand.php';
require_once './core/ji-telnetclient.php';

$response_arr = array();
$json = new Services_JSON();

if($_POST['action'] == 'connect') {
    $telnet_client = JITelnetClient::GetInstance($_POST['host']);
    // Establish connection to the server
    if($telnet_client->Connect()) {
        $username = trim($_POST['username']);
        $password = trim($_POST['password']);
        if($telnet_client->Login($username, $password)) {
            $response_arr['success'] = 'Login to server successful.';
        }
        else {
            $response_arr['error'] = 'Connection failed: Invalid username / password.';
        }
        $telnet_client->Close();
    }
    else {
        $response_arr['error'] = 'Connection failed: Unable to connect to the host.';
    }
}
else if($_POST['action'] == 'sendcommand') {
    $telnet_client = JITelnetClient::GetInstance($_POST['host']);
    // Establish connection to the server
    if($telnet_client->Connect()) {
        $username = trim('clearone');
        $password = trim('converge');
        if($telnet_client->Login($username, $password)) {
            // Send serial command
            if($telnet_client->SendCommand($_POST['cmd'])) {
                //$response_arr['success'] = 'Command successfuly sent.<br/>Response:<br/>';
                $response_arr['success'] .= $telnet_client->GetLastServerResponse();
            }
        }
    }
    if(empty($response_arr['success'])) {
        if(strpos($telnet_client->GetLastServerResponse(), 'Username') !== FALSE || strpos($telnet_client->GetLastServerResponse(), 'Password')) {
            $response_arr['error'] = 'Unable to send the command into the server.';
        }
        else {
            $response_arr['error'] = 'Command error: ';
            $response_arr['error'] .= $telnet_client->GetLastServerResponse();
        }
    }
}
else {
    $response_arr['error'] = 'Request failed: Unknown operation.';
}

echo $json->encode($response_arr);
die();